###############################################################################
#
# sabx10 - an SABX file manipulation library
# Copyright (C) 2009, 2010 Jay Farrimond (jay@sabikerides.com)
#
# This file is part of sabx10.
#
# sabx10 is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# sabx10 is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
# details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with sabx10.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################
"""
Overview
========

The C{sabx10} meta-package provides all the functionality neaded to interact
with SABX 1.0 files.  Although there are a lot of sub-packages in the C{sabx10}
package, they can be divided into three basic sets of functionality.

At the lowest level are the library packages that everything else is built on
top of. L{sabx10.oxm} takes care of reading in SABX 1.0 files, and
L{sabx10.templating} takes care of interacting with the Jinja2 templates that
everything else makes use of.

Next is the SABX 1.0 file-manipulation utility package, L{sabx10.utils}.  This
contains the guts of all the scripts that allow for easy manipulation of SABX
1.0 files.

The final piece is the set of packages that facilitate turning the SABX 1.0
files into various types of maps.  The L{sabx10.map} package generates HTML
maps.  The L{sabx10.osm} package generates PDF pages with high-resolution map
images.  The L{sabx10.profiles} package generates profile graphs of the rides
in the SABX 1.0 files.  The L{sabx10.pdf_gen} package takes care of
miscellaneous tasks in generating single PDF maps for each ride from the
various pieces generated by the L{sabx10.osm} and L{sabx10.profiles} packages.

Copyright
=========

The sabx10 package is broken into two parts for licensing.  The sub-package
sabx10.oxm is licensed under the less-restrictive Lesser GPLv3 license, while
the rest of the sabx10 package is licensed under the the regular GPLv3 license.
This is so that the sabx10.oxm code can be more easily used by other projects,
while the rest of sabx10 will be extended, rather than subsumed.

sabx10
------

sabx10 - an SABX file manipulation library
Copyright (C) 2009, 2010 Jay Farrimond (jay@sabikerides.com)

sabx10 is free software: you can redistribute it and/or modify it under the
terms of the GNU Lesser General Public License as published by the Free
Software Foundation, either version 3 of the License, or (at your option) any
later version.

sabx10 is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
details.

You should have received a copy of the GNU Lesser General Public License along
with sabx10.  If not, see U{http://www.gnu.org/licenses/}.

sabx10.oxm
----------

The sabx10.oxm package constitutes sabx10.oxm.

sabx10.oxm - an SABX file manipulation library
Copyright (C) 2009, 2010 Jay Farrimond (jay@sabikerides.com)

sabx10.oxm is free software: you can redistribute it and/or modify it under the
terms of the GNU Lesser General Public License as published by the Free
Software Foundation, either version 3 of the License, or (at your option) any
later version.

sabx10.oxm is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
details.

You should have received a copy of the GNU Lesser General Public License along
with sabx10.oxm.  If not, see U{http://www.gnu.org/licenses/}.
"""
